Cascading dropdown is not filtering

Oct 23, 2012 at 7:42 PM


I am trying to set up cascading dropdowns in a list and it's not at all filtering the options and am not sure what i am doing wrong here. I tried so many ways as per google but no luck. It will be really helpful if you can suggest what's wrong here. If i give wrong parent column, i am getting message saying column not found but when i give all correct information, no errors and no filtering when i change the parent column. I have two lists, one is County list (parent) and Cities list (child) where i have county column as lookup to parent list. I have third list where i have City and County columns as lookup columns and i applied the following code on new item page in content editor web part. Please help me.

<script type="text/javascript" src="../jquery-1.4.2.min.js"></script>
<script language="javascript" type="text/javascript" src="../Documents/jquery.SPServices-0.7.2.min.js"></script>

<script type="text/javascript">
$(document).ready(function() {

   relationshipList: "Cities",
   relationshipWebURL: "/",
   relationshipListParentColumn: "County",
   relationshipListChildColumn: "Title",
   parentColumn: "County",
   childColumn: "City",
   debug: true

Oct 24, 2012 at 12:34 PM

You need to either update jQuery to a newer version or rollback SPServices to a later version.  Give that a shot and let us know.


Oct 24, 2012 at 1:13 PM
Edited Oct 24, 2012 at 1:14 PM

Thanks Matt for your response. I updated Jquery to latest version but i did not help me so i rolled back SPServices to lower version which is 0.7.0.min.js and it worked like a charm. Thank you very much. Do you know by any chance why SPServices latest version did not support with latest version of Jquery or version 1.4.2.min.js?

Once again, thank you so much.



Oct 24, 2012 at 2:14 PM


Yep, I sure do.

Read the text that is in red.  There have been some breaking changes in SPServices when used with some of the latest jQuery versions.  Marc has done a wonderful job maintaining the library and documentation. 



Oct 25, 2012 at 5:11 PM

SPServices 0.7.2 ought to work with jQuery 1.8.x. Are you running an English install or some other language?